%define name    fluidsynth-dssi
%define version 1.1.0
%define release 6

%define prefix  /usr

Summary:	Fluidsynth Plug-In for Disposable Soft Synth Interface
Name: fluidsynth-dssi
Version: 1.1.0
Release: 6.rncbc.suse
Prefix:		%{prefix}
License:	GPL
Group:		Productivity/Multimedia/Sound/Midi
Source0:	%{name}-%{version}.tar.gz
#Patch0:	%{name}-%{version}-cleanup.patch
URL:		http://dssi.sourceforge.net/

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	dssi >= 1.0
BuildRequires:	libfluidsynth-devel >= 2.1.0
BuildRequires:	liblo-devel >= 0.29

%description
FluidSynth-DSSI is the plug-in implementation of fluidsynth on DSSI
(Disposable Soft Synth Interface) with a GTK+ GUI.

%prep

%setup
#patch0 -p1

%build
%configure --disable-nwrite-float-workaround
%__make

%install
%makeinstall

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README ChangeLog TODO
%{_libdir}/dssi/fluidsynth-dssi.so
%{_libdir}/dssi/fluidsynth-dssi.la
%{_libdir}/dssi/fluidsynth-dssi/FluidSynth-DSSI_gtk

%changelog
* Sat Apr  3 2021 Rui Nuno Capela <rncbc@rncbc.org> 1.1.0-6
- Updated to fluidsynth >= 2.2.0
* Tue Oct 23 2018 Rui Nuno Capela <rncbc@rncbc.org> 1.1.0-5
- Disable nwrite-float-workaround
* Fri Aug 15 2008 Rui Nuno Capela <rncbc@rncbc.org> 1.0.0
- Disable nwrite-float-workaround
* Wed Jun 10 2008 Rui Nuno Capela <rncbc@rncbc.org>
- Created initial fluidsynth-dssi.spec
